[workspace]

resolver = "2"
members = [
    "crates/onionmasq-device-testing",
    "crates/onionmasq-pt-wrapper",
    "crates/simple-proc-net",
    "crates/onionmasq",
    "crates/onion-tunnel",
    "crates/onionmasq-mobile",
    "crates/onionmasq-apple",
    "crates/turn-tcp-client",
]

[profile.release]
codegen-units = 1
lto = true
opt-level = "z"

[profile.dev]
# while we don't care much about having perfect debug builds, we want them
# to run decently fast so as to not be unusable
opt-level = 1
